Skip to main content
DELETE
Clear subscriber note

Authorizations

Authorization
string
header
required

Link access token for one Sandbox, Test, or Live authorization.

x-linked-account-id
string
header
required

Selects one of the authorization's linked accounts via the x-linked-account-id header.

Headers

x-linked-account-id
string
required

The linked account to use. The user must have shared it with your app. A missing account returns linked_account_required; an account outside your access returns linked_account_not_granted.

Example:

"conn_example123"

Path Parameters

subscriberId
string | null

Subscriber user ID

Minimum string length: 1

Response

Successful response

avatar
null | string
required
avatarThumbs
null | object
required
canAddSubscriber
boolean
required
canCommentStory
boolean
required
canEarn
boolean
required
canLookStory
boolean
required
canPayInternal
boolean
required
canReceiveChatMessage
boolean
required
canReport
boolean
required
canRestrict
boolean
required
canTrialSend
boolean
required
canUnsubscribe
boolean
required
currentSubscribePrice
null | number
required
displayName
string
required
hasNotViewedStory
boolean
required
hasScheduledStream
boolean
required
hasStories
boolean
required
hasStream
boolean
required
header
null | string
required
headerSize
null | object
required
headerThumbs
null | object
required
hideChat
boolean
required
id
number
required
isActive
boolean
required
isBlocked
boolean
required
isPaywallRequired
boolean
required
isPendingAutoprolong
boolean
required
isPerformer
boolean
required
isRealPerformer
boolean
required
isRestricted
boolean
required
isVerified
boolean
required
lastSeen
null | string
required
listsStates
object[]
required
name
string
required
notice
string
required
subscribedBy
boolean | null
required
subscribedByAutoprolong
boolean | null
required
subscribedByData
object
required
subscribedByExpire
boolean | null
required
subscribedByExpireDate
string
required
subscribedIsExpiredNow
boolean
required
subscribedOn
boolean | null
required
subscribedOnData
object
required
subscribedOnDuration
string
required
subscribedOnExpiredNow
boolean
required
subscribePrice
number
required
subscriptionBundles
object[]
required
tipsEnabled
boolean
required
tipsMax
number
required
tipsMin
number
required
tipsMinInternal
number
required
tipsTextEnabled
boolean
required
username
string
required